# -*- rpm-spec -*-
# $Id: rconf,v 1.2 2003/08/05 17:34:48 ab Exp $

Name: rconf
Version: 1.0
Release: alt17

Summary: Resource configuration daemon
License: GNU LGPL
Group: Networking/Other

Source0: %name-%version.tar.bz2

BuildRequires: ruby, libruby-devel, stunnel
PreReq: ruby, ruby-stdlibs, sed
PreReq: stunnel, xpm

%package samba
Summary: Samba 3 configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: samba3

%description samba
Samba 3.0 configuration plug-in for %name

%package evms
Summary: EVMS configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: evms

%description evms
EVMS configuration plug-in for %name


%package apache
Summary: Apache 1.3 configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: apache

%description apache
Apache 1.3 configuration plug-in for %name


%package bind
Summary: DNS configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: bind, bind-slave

%description bind
DNS configuration plug-in for %name


%package iptables
Summary: IPTables configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: iptables, iproute2

%description iptables
IPTables configuration plug-in for %name


%package postfix
Summary: Postfix configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: postfix-smtpd, sendmail-common

%description postfix
Postfix configuration plug-in for %name

%package squid
Summary: Squid configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: squid, ruby-gdchart

%description squid
Squid configuration plug-in for %name

%package vsftpd
Summary: VsFTPd configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: vsftpd

%description vsftpd
Very Secure FTPd configuration plug-in for %name

%package dante
Summary: Dante SOCKS proxy configuration plug-in for %name
Group: Networking/Other
PreReq: %name = %version-%release
Requires: dante-server

%description dante
Dante SOCKS proxy configuration plug-in for %name


%description
Resource configuration daemon

%prep

%setup -q

%build
%__make %name

%install
%makeinstall DESTDIR=%buildroot
%__mkdir -p %buildroot%_cachedir/%name/stats
%__mkdir -p %buildroot%_var/run/%name
%__mkdir -p %buildroot%_sysconfdir/sysconfig
%__mkdir -p %buildroot%_sysconfdir/logrotate.d
%__mkdir -p %buildroot%_logdir/%name
%__cat <<END >%buildroot%_sysconfdir/logrotate.d/rconf
/var/cache/rconf/stats/*.dump {
    daily
    copy
    nocompress
    rotate 14
    sharedscripts
    postrotate
	%_bindir/ruby -I%_datadir/%name %_datadir/%name/scripts/touchstats.rb
    endscript
}
END
%__cat <<END >%buildroot%_sysconfdir/%name.conf
# This is a place holder for future rconf customization options
END
%pre
/usr/sbin/groupadd -r -f %name &>/dev/null
/usr/sbin/useradd -r -g %name -d %_datadir/%name -s /dev/null \
	-c "RConf Web frontend daemon" -M -n %{name}web &>/dev/null ||:

%post
%post_service %name
%post_service %name-frontend
if [ "$1" = "1" ] ; then
    /usr/bin/ruby -I%_datadir/%name %_datadir/%name/scripts/init.rb
fi

%preun
%preun_service %name-frontend
%preun_service %name

%post samba
/sbin/service rconf condrestart ||:

%post evms
/sbin/service rconf condrestart ||:

%post iptables
if [ "$1" = "1" ] ; then
    echo -e "*/5 * * * *	root	%_datadir/rconf/scripts/cronstat.rb\n" >> %_sysconfdir/crontab
    # Initialize rconf state
fi
/sbin/service rconf condrestart ||:

%post bind
/sbin/service rconf condrestart ||:

%post apache
/sbin/service rconf condrestart ||:

%post postfix
/sbin/service rconf condrestart ||:

%post squid
/sbin/service rconf condrestart ||:

%post vsftpd
/sbin/service rconf condrestart ||:

%post dante
/sbin/service rconf condrestart ||:

%preun iptables
if [ "$1" = "0" ] ; then
%__subst 's@*/5 * * * *	root	%_datadir/rconf/scripts/cronstat.rb@@' %_sysconfdir/crontab
fi

%files
%attr(644, root, root) %config(noreplace) %_sysconfdir/logrotate.d/rconf
%attr(640, root, rconf) %config(noreplace) %_sysconfdir/%name.conf
%_initdir/%name
%_initdir/%name-frontend
%attr(700, root, root) %_cachedir/%name
%attr(750, root, rconf) %_var/run/%name
%_cachedir/%name
%attr(400, rconfweb, root) %_datadir/%name/ui/rconf.pem
%dir %_datadir/%name
%dir %_datadir/%name/modules
%dir %_datadir/%name/modules/core
%dir %_datadir/%name/modules/ui
%_datadir/%name/modules/core/*.rb
%_datadir/%name/modules/ifconfig.rb
%_datadir/%name/modules/users.rb
%dir %_datadir/%name/resources
%_datadir/%name/resources/options.options
%_datadir/%name/resources/ifconfig.options
%_datadir/%name/resources/prefs.options
%_datadir/%name/resources/users.options
%_datadir/%name/resources/help.options
%_datadir/%name/resources/*.png
%dir %_datadir/%name/main
%_datadir/%name/main/*
%dir %_datadir/%name/lib
%dir %_datadir/%name/scripts
%_datadir/%name/scripts/*
%dir %_datadir/%name/ui
%_datadir/%name/lib/*
%_datadir/%name/ui/*
%_datadir/%name/rcserver.rb
%_sbindir/%name
%_sbindir/%{name}rontend
%attr(770, root, rconf) %dir %_logdir/%name

%files samba
%_datadir/%name/modules/samba.rb
%_datadir/%name/resources/samba.options

%files evms
%_datadir/%name/modules/diskman.rb
%_datadir/%name/resources/diskman.options

%files bind
%_datadir/%name/modules/bind.rb
%_datadir/%name/resources/bind.options

%files apache
%_datadir/%name/modules/apache.rb
%_datadir/%name/resources/apache.options

%files iptables
%_datadir/%name/modules/firewall.rb
%_datadir/%name/modules/ui/firewall.rb
%_datadir/%name/resources/firewall.options

%files postfix
%_datadir/%name/modules/postfix.rb
%_datadir/%name/resources/postfix.options

%files squid
%_datadir/%name/modules/squid.rb
%_datadir/%name/modules/stats.rb
%_datadir/%name/resources/squid.options

%files vsftpd
%_datadir/%name/modules/ftp.rb
%_datadir/%name/resources/ftp.options

%files dante
%_datadir/%name/modules/dante.rb
%_datadir/%name/resources/dante.options


%changelog
* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt17
- Rebuild with Ruby 1.8

* Thu Feb 20 2003 Eugene Zaikonnikov <viking@funcall.org> 1.0-alt16
- Even more fixes to users.rb
- Empty field bug fix to bind.rb
- SOCKS proxy configuration module was added (dante.rb)
- Consolidated iptables statistics implemented
- Services can now be firewalled on more conveniently
- Squid and iptables blacklists now implemented

* Thu Feb 20 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt15
- Updates:
  + Squid and firewall blacklists
  + Users w.r.t. smbpasswd

* Mon Feb 10 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt14
- More fixes to users.rb
- Ensure modules addition cause conditional restart of rconf
- Go further than alt13 :)

* Mon Feb 10 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt13
- Move plugins to subpackages
- Move various config file tuning to rbi

* Wed Feb 05 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt12
- Fix small problems in users/squid/ifconfig

* Mon Feb 03 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt11
- Tighten permissions, move control socket to %_var/run/%name/control
- Web frontend runs under rconfweb user in /var/empty/chroot
- SSL frontend runs under rconfweb user 
- Minor fixes in localisation of Firewall plugin

* Fri Jan 31 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt10
- Added:
  + Full plugin support (no package splitting yet)
  + Frontend works under rconf user now

* Tue Jan 14 2003 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt9
- New version

* Tue Dec 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt8
- Isolate xinetd to internal interface only

* Mon Dec 23 2002 Ihar Viarheichyk <iverg@optifacio.com> 1.0-alt7
- Squid module crash on inverted acls fixed
- Exception handling changed

* Mon Dec 23 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt6
- Fixed permissions for rconf.pem

* Fri Dec 20 2002 Ihar Viarheichyk <i.viarheichyk@sam-solutions.net> 1.0-alt5
- Fix of Undo crash
- Fixed 'Zero size reply' when adding user
- Apache fixed
- Receiving mails fixed

* Wed Dec 18 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt4
- Fix DNS module
- Add Diskman module
- Move logs to %_logdir/%name

* Tue Dec 17 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt3
- Use signal trapping in all cases, not only in debug

* Sat Dec 14 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt2
- Enable SSH input/output by default
- Enable http for rconf as well as https
- Enable tcp/445 and udp/445 for Samba

* Tue Dec 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1.0-alt1
- Client release
- Frontend/backend separation

* Wed Oct 30 2002 Grigory Milev <week@altlinux.ru> 0.1-alt6
- minor spec cleanup

* Mon Oct 28 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt5
- Add scripts/init.rb initialization calls

* Sat Oct 26 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt4
- Fixed:
    + Sambaconf
    + Users
    + Statistics

* Fri Oct 25 2002 Alexander Bokovoy 0.1-alt1
- initial build


